<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: UserTrackInformation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>UserTrackInformation Class Reference</h1><!-- doxytag: class="UserTrackInformation" -->
<p><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Class to save the data which belonging to the current track, using functions inherited from G4VUserTrackInformation.  
</p>

<p><a href="classUserTrackInformation-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a258186b591aec313d5776a3cf0b58834">UserTrackInformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a6edfbe5e3ef3607f942d896938b8b14a">~UserTrackInformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a15daf3197ec7be77a5b15154cfd880af">GetParentTrackID</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a81ba1df447836a1a6dfa9012db0b9a30">GetParticleName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#ad93663d3f0a45fd4a469fddb48bf9da9">GetTrackID</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a32d76af372c6b4b78befea4371e3f2c2">IsCerenkovPhoton</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#aca67ea15e1df0905804edd841d63af0d">IsScintiPhoton</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a21e17a0c12eb64e5ddf819d427b923ae">IsWLSPhoton</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a1a6865eb461ba78a384a9ccb48d076bf">SetIsCerenkovPhoton</a> (G4bool cerenkovPhoton)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a7757bd796bf612373c47f15bc80a1cd0">SetIsScintiPhoton</a> (G4bool scintiPhoton)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a264f6be78da9bc4b240a769999bf89e3">SetIsWLSPhoton</a> (G4bool wLSPhoton)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a3753a39b22af709c13516180eb44e42d">SetParentTrackID</a> (G4int par_id)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a27b1ffdc33a1635fca8148b0fae82fb0">SetParticleName</a> (G4String part_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classUserTrackInformation.html#a9682c79572a0ba66dea02fdfe2568d4e">SetTrackID</a> (G4int tr_id)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a258186b591aec313d5776a3cf0b58834"></a><!-- doxytag: member="UserTrackInformation::UserTrackInformation" ref="a258186b591aec313d5776a3cf0b58834" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UserTrackInformation::UserTrackInformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>

</div>
</div>
<a class="anchor" id="a6edfbe5e3ef3607f942d896938b8b14a"></a><!-- doxytag: member="UserTrackInformation::~UserTrackInformation" ref="a6edfbe5e3ef3607f942d896938b8b14a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UserTrackInformation::~UserTrackInformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a15daf3197ec7be77a5b15154cfd880af"></a><!-- doxytag: member="UserTrackInformation::GetParentTrackID" ref="a15daf3197ec7be77a5b15154cfd880af" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserTrackInformation::GetParentTrackID </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>track ID of the parent particle. </dd></dl>

</div>
</div>
<a class="anchor" id="a81ba1df447836a1a6dfa9012db0b9a30"></a><!-- doxytag: member="UserTrackInformation::GetParticleName" ref="a81ba1df447836a1a6dfa9012db0b9a30" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String UserTrackInformation::GetParticleName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>name of the particle </dd></dl>

</div>
</div>
<a class="anchor" id="ad93663d3f0a45fd4a469fddb48bf9da9"></a><!-- doxytag: member="UserTrackInformation::GetTrackID" ref="ad93663d3f0a45fd4a469fddb48bf9da9" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int UserTrackInformation::GetTrackID </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>track ID </dd></dl>

</div>
</div>
<a class="anchor" id="a32d76af372c6b4b78befea4371e3f2c2"></a><!-- doxytag: member="UserTrackInformation::IsCerenkovPhoton" ref="a32d76af372c6b4b78befea4371e3f2c2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool UserTrackInformation::IsCerenkovPhoton </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the particle is an optical photon from Cerenkov radiation </dd></dl>

</div>
</div>
<a class="anchor" id="aca67ea15e1df0905804edd841d63af0d"></a><!-- doxytag: member="UserTrackInformation::IsScintiPhoton" ref="aca67ea15e1df0905804edd841d63af0d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool UserTrackInformation::IsScintiPhoton </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the particle is an optical photon from scintillation </dd></dl>

</div>
</div>
<a class="anchor" id="a21e17a0c12eb64e5ddf819d427b923ae"></a><!-- doxytag: member="UserTrackInformation::IsWLSPhoton" ref="a21e17a0c12eb64e5ddf819d427b923ae" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool UserTrackInformation::IsWLSPhoton </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the particle is an optical photon from a wavelength-shifting process </dd></dl>

</div>
</div>
<a class="anchor" id="a1a6865eb461ba78a384a9ccb48d076bf"></a><!-- doxytag: member="UserTrackInformation::SetIsCerenkovPhoton" ref="a1a6865eb461ba78a384a9ccb48d076bf" args="(G4bool cerenkovPhoton)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserTrackInformation::SetIsCerenkovPhoton </td>
          <td>(</td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>cerenkovPhoton</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save whether the particle is an optical photon from Cerenkov radiation. </p>

</div>
</div>
<a class="anchor" id="a7757bd796bf612373c47f15bc80a1cd0"></a><!-- doxytag: member="UserTrackInformation::SetIsScintiPhoton" ref="a7757bd796bf612373c47f15bc80a1cd0" args="(G4bool scintiPhoton)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserTrackInformation::SetIsScintiPhoton </td>
          <td>(</td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>scintiPhoton</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save whether the particle is an optical photon from scintillation. </p>

</div>
</div>
<a class="anchor" id="a264f6be78da9bc4b240a769999bf89e3"></a><!-- doxytag: member="UserTrackInformation::SetIsWLSPhoton" ref="a264f6be78da9bc4b240a769999bf89e3" args="(G4bool wLSPhoton)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserTrackInformation::SetIsWLSPhoton </td>
          <td>(</td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>wLSPhoton</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save whether the particle is an optical photon from a wavelength-shifting process. </p>

</div>
</div>
<a class="anchor" id="a3753a39b22af709c13516180eb44e42d"></a><!-- doxytag: member="UserTrackInformation::SetParentTrackID" ref="a3753a39b22af709c13516180eb44e42d" args="(G4int par_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserTrackInformation::SetParentTrackID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>par_id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the track ID of the parent particle. </p>

</div>
</div>
<a class="anchor" id="a27b1ffdc33a1635fca8148b0fae82fb0"></a><!-- doxytag: member="UserTrackInformation::SetParticleName" ref="a27b1ffdc33a1635fca8148b0fae82fb0" args="(G4String part_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserTrackInformation::SetParticleName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>part_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the name of the particle. </p>

</div>
</div>
<a class="anchor" id="a9682c79572a0ba66dea02fdfe2568d4e"></a><!-- doxytag: member="UserTrackInformation::SetTrackID" ref="a9682c79572a0ba66dea02fdfe2568d4e" args="(G4int tr_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserTrackInformation::SetTrackID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>tr_id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the track ID. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
